﻿
@{
    ViewData["Title"] = "PresensiSiswa";
}

<section class="section">
    <div class="section-header">
        <h1>Laporan Presensi Siswa</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Laporan</a></div>
            <div class="breadcrumb-item active"><a href="#">Presensi Siswa</a></div>
        </div>
    </div>
    <div class="section-body" id="SecUnit">
        <div class="alert alert-primary" id="Periode">
            <div class="form-row">
                <div class="col-md-6 text-left">
                    <b>Tanggal</b> : <span id="TanggalAwal">Sedang Muat</span> - <span id="TanggalAkhir">Sedang Muat</span>
                </div>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-info btn-sm" data-toggle="modal" data-target="#ModalPencarian"><i class="fa fa-filter"></i> Cari Tanggal</button>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelUnit" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Unit</th>
                                <th>Jumlah Siswa</th>
                                <th>Hadir</th>
                                <th>Tidak Hadir</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Unit</th>
                                <th>Jumlah Siswa</th>
                                <th>Hadir</th>
                                <th>Tidak Hadir</th>
                                <th>Aksi</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    <div class="section-body" id="SecKelas" style="display:none">
        <div class="card">
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelKelas" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Unit</th>
                                <th>Kelas</th>
                                <th>Jumlah</th>
                                <th>Hadir</th>
                                <th>Tidak HAdir</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Unit</th>
                                <th>Kelas</th>
                                <th>Jumlah</th>
                                <th>Sudah Input</th>
                                <th>Belum Input</th>
                                <th>Aksi</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="section-body" id="SecKelasParalel" style="display:none">
        <div class="card">
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelKelasParalel" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Unit</th>
                                <th>Kelas</th>
                                <th>Kelas Paralel</th>
                                <th>Jumlah</th>
                                <th>Hadir</th>
                                <th>Tidak HAdir</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Unit</th>
                                <th>Kelas</th>
                                <th>Kelas Paralel</th>
                                <th>Jumlah</th>
                                <th>Hadir</th>
                                <th>Tidak HAdir</th>
                                <th>Aksi</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="section-body" id="SecSiswaMapelList" style="display:none">
        <div class="card">
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelSiswaMapelList" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Unit</th>
                                <th>Kelas</th>
                                <th>Kelas Paralel</th>
                                <th>Mata Pelajaran</th>
                                @*<th>Hari</th>
                                    <th>Jam Mulai</th>
                                    <th>Jam Selesai</th>*@
                                <th>Jumlah</th>
                                <th>Hadir</th>
                                <th>Tidak Hadir</th>
                                @*<th>Catatan</th>*@
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Unit</th>
                                <th>Kelas</th>
                                <th>Kelas Paralel</th>
                                <th>Mata Pelajaran</th>
                                @*<th>Hari</th>
                                    <th>Jam Mulai</th>
                                    <th>Jam Selesai</th>*@
                                <th>Jumlah</th>
                                <th>Hadir</th>
                                <th>Tidak Hadir</th>
                                @*<th>Catatan</th>*@
                                <th>Aksi</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="section-body" id="SecSiswaHadir" style="display:none">
        <div class="card">
            <div class="card-body">
                <div class="table-responsive">
                    <p id="titleInput"> </p>
                    <table id="TabelSiswaHadir" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Nama</th>
                                <th>Mata Pelajaran</th>
                                <th>Hari</th>
                                <th>Jam Mulai</th>
                                <th>Jam Selesai</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Nama</th>
                                <th>Mata Pelajaran</th>
                                <th>Hari</th>
                                <th>Jam Mulai</th>
                                <th>Jam Selesai</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="section-body" id="SecSiswaTidakHadir" style="display:none">
        <div class="card">
            <div class="card-body">
                <div class="table-responsive">
                    <p id="titleTidakHadir"> </p>
                    <table id="TabelSiswaTidakHadir" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Nama</th>
                                <th>Mata Pelajaran</th>
                                <th>Hari</th>
                                <th>Jam Mulai</th>
                                <th>Jam Selesai</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Nama</th>
                                <th>Mata Pelajaran</th>
                                <th>Hari</th>
                                <th>Jam Mulai</th>
                                <th>Jam Selesai</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalPencarian" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Pencarian</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormPencarian" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Tanggal</label>
                        <div class="col-sm-8"><input type="text" id="TanggalPencarian" name="TanggalPencarian" data-toggle="datepicker-maxtoday" class="form-control" placeholder="dd-mm-yyyy" readonly /></div>
                    </div>
                </form>
            </div>
            <div class="modal-footer"><button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> <button type="button" class="btn btn-primary" id="BtnProses" onclick="Pencarian();">Simpan</button></div>
        </div>
    </div>
</div>
